Bug 570317 - cherokee.conf should have user=cherokee group=cherokee
Summary: cherokee.conf should have user=cherokee group=cherokee
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cherokee
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lorenzo Villani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-03 20:52 UTC by Tony Nelson
Modified: 2011-10-01 01:32 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-03 22:04:18 UTC


Attachments (Terms of Use)

Description Tony Nelson 2010-03-03 20:52:22 UTC
Description of problem:
I think the cherokee conf file should set the user and group to cherokee.  That user is created when the RPM is installed.  If cherokee is run before configuring it with cherokee-admin -- and also remembering to change the user and group -- then it is hard to start cherokee after changing them.  Also, ISTM that, as the default instructions suggest such a change, that the package should ship that way.

Version-Release number of selected component (if applicable):
cherokee-0.99.39-1.fc12.i686

How reproducible:
Every time.

Steps to Reproduce:
1. install and start cherokee
2. start following the configuration instructions
3. restart cherokee
  
Actual results:
fails to start

Expected results:
should start

Additional info:
Workaround is to remove the empty log files, or chown them if not empty.

Comment 1 Fedora Update System 2010-08-29 14:54:39 UTC
cherokee-1.0.8-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.fc13

Comment 2 Fedora Update System 2010-08-29 14:54:52 UTC
cherokee-1.0.8-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el4

Comment 3 Fedora Update System 2010-08-29 14:55:06 UTC
cherokee-1.0.8-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.fc12

Comment 4 Fedora Update System 2010-08-29 14:55:20 UTC
cherokee-1.0.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.fc14

Comment 5 Fedora Update System 2010-08-29 14:55:33 UTC
cherokee-1.0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el5

Comment 6 Fedora Update System 2010-08-30 17:55:12 UTC
cherokee-1.0.8-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el5

Comment 7 Fedora Update System 2010-08-30 17:55:26 UTC
cherokee-1.0.8-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el4

Comment 8 Fedora Update System 2010-09-01 17:21:25 UTC
cherokee-1.0.8-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el5

Comment 9 Fedora Update System 2010-09-01 17:21:39 UTC
cherokee-1.0.8-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.fc13

Comment 10 Fedora Update System 2010-09-01 17:21:53 UTC
cherokee-1.0.8-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.fc12

Comment 11 Fedora Update System 2010-09-01 17:22:06 UTC
cherokee-1.0.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.fc14

Comment 12 Fedora Update System 2010-09-01 17:22:20 UTC
cherokee-1.0.8-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el4

Comment 13 Fedora Update System 2010-09-02 02:26:59 UTC
cherokee-1.0.8-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el4

Comment 14 Fedora Update System 2010-09-02 02:27:45 UTC
cherokee-1.0.8-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el5

Comment 15 Bug Zapper 2010-11-03 20:51:11 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2010-12-03 22:04:18 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Fedora Update System 2011-02-23 06:49:31 UTC
cherokee-1.0.20-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc14

Comment 18 Fedora Update System 2011-02-23 06:50:36 UTC
cherokee-1.0.20-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el4

Comment 19 Fedora Update System 2011-02-23 07:01:45 UTC
cherokee-1.0.20-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el5

Comment 20 Fedora Update System 2011-02-25 15:35:04 UTC
cherokee-1.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el5

Comment 21 Fedora Update System 2011-02-25 15:35:51 UTC
cherokee-1.2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el4

Comment 22 Fedora Update System 2011-03-14 17:25:51 UTC
cherokee-1.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2011-03-14 17:28:01 UTC
cherokee-1.2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-09-13 10:16:58 UTC
cherokee-1.2.99-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el5

Comment 25 Fedora Update System 2011-09-14 10:10:42 UTC
cherokee-1.2.99-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-2.el4

Comment 26 Fedora Update System 2011-09-29 03:25:04 UTC
cherokee-1.2.99-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-10-01 01:31:44 UTC
cherokee-1.2.99-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.